﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
'#Region Shared Files

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private txtField As B4XFloatTextField
	Private FileHandler1 As FileHandler
	Private toast As BCToast
	Dim Thedate,chainetexte, inputstring, labelstring As String
	Private var, debligne As Int
	#if B4A
	Private ime As IME 'ignore
	#end if
	Private Label1, Label2, Label3 As Label
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me, "Text Editor")
	txtField.TextField.SetTextAlignment("TOP", "LEFT")
	FileHandler1.Initialize
	toast.Initialize(Root)
	Thedate = "002,02, To Do 2,0-399.9        ,OK2,4,@ 003,00,TRACK TIME   ,0-399.9        ,TMP,5,@	003,02,TRACK TIME,0-399.9        ,TMP,6,@	004,00,TITLE  ,0-99900        ,DIR,7,@"
	debligne = inputstring.IndexOf("@")
End Sub

Private Sub HandleLoadResult(Result As LoadResult)

	If Result.Success Then
		Try
			chainetexte = File.ReadString(Result.Dir, Result.FileName)
			toast.Show($"File '${Result.RealName}' loaded"$)
		Catch
			chainetexte = "Error loading file"
			Log(LastException)
		End Try
	End If
	
	txtField.Text = chainetexte

End Sub

#if B4A

Private Sub IME_HeightChanged (NewHeight As Int, OldHeight As Int)
	txtField.mBase.Height = NewHeight
	txtField.TextField.Height = NewHeight
End Sub

#else if B4i
Private Sub HideKeyboard
	B4XPages.GetNativeParent(Me).ResignFocus
End Sub

Private Sub B4XPage_KeyboardStateChanged (KeyboardHeight As Float)
	txtField.mBase.Height = Root.Height - KeyboardHeight
	txtField.TextField.Height = txtField.mBase.Height
End Sub

Public Sub OpenUrl(url As String)
	If url.StartsWith("file://") Then
		Dim f As String = url.SubString(7) 'remove the file:// scheme.
		Dim res As LoadResult = FileHandler1.UrlToLoadResult(f)
		HandleLoadResult(res)
	End If
End Sub
#end if

Private Sub Button1_Click
	cmprstring = "2468"
	
'	If txtField.textfield.enabled = True Then
'	txtField.textfield.enabled = False
'	End If
	var = var + 2
	chainetexte = chainetexte &var
	txtField.Text = chainetexte
	debligne = Thedate.IndexOf("@")
	labelstring = Thedate.substring2(0,debligne) '"fin de ligne OK" 'Parsed(0)
	Log (Thedate)
	Log (labelstring)
	Label1.text = labelstring		
End Sub

Private Sub Button2_Click
	cmprstring = ""
		Label3.Text = "nothing"
End Sub

Private Sub BtnSave_Click
		#if B4A
	txtField.textfield.enabled = True
	Dim b() As Byte = txtField.Text.GetBytes("UTF8")
	Dim in As InputStream
	in.InitializeFromBytesArray(b, 0, b.Length)
	Wait For (FileHandler1.SaveAs(in, "text/plain", "NewFile.txt")) Complete (Success As Boolean)
	#else if B4i
	Wait For (FileHandler1.SaveAs(Me, B4XPages.GetNativeParent(Me).TopRightButtons.Get(0), txtField.Text)) Complete (Success As Boolean)
	#end if
	If Success Then
		toast.Show("File saved successfully")
	Else
		toast.Show("File not saved")
	End If
End Sub


Private Sub BtnLoad_Click	
	#if B4A
	Wait For (FileHandler1.Load) Complete (Result As LoadResult)
	#else if B4i
	Wait For (FileHandler1.Load(Me, B4XPages.GetNativeParent(Me).TopRightButtons.Get(1))) Complete (Result As LoadResult)
	#end if
	'txtField.textfield.enabled = True
	HandleLoadResult(Result)
End Sub